$(function() {
	shareShow(); //课程分享
	cTabFun($("#c-i-tabTitle>a")); //滚动定位
	countTime();
    OpenUrl();
});
$.fn.toggle = function( fn ) {
	// Save reference to arguments for access in closure
	var args = arguments,
		guid = fn.guid || jQuery.guid++,
		i = 0,
		toggler = function( event ) {
			// Figure out which function to execute
			var lastToggle = ( jQuery._data( this, "lastToggle" + fn.guid ) || 0 ) % i;
			jQuery._data( this, "lastToggle" + fn.guid, lastToggle + 1 );

			// Make sure that clicks stop
			event.preventDefault();

			// and execute the function
			return args[ lastToggle ].apply( this, arguments ) || false;
		};

	// link all the functions, so any of them can unbind this click handler
	toggler.guid = guid;
	while ( i < args.length ) {
		args[ i++ ].guid = guid;
	}

	return this.click( toggler );
};
//课程封面图适配尺寸
var cvPic = function() {
	if($(".c-v-pic").height()>0){
		$(".c-v-pic-wrap").css("height" , $(".c-v-pic").height());
	}

};
//调整页面兼容问题等图片完全加载完成之后再调方法
var t_img; // 定时器
var isLoad = true; // 控制变量
// 判断图片加载状况，加载完成后回调
isImgLoad(function(){
	// 加载完成
	cvPic();
});

// 判断图片加载的函数
function isImgLoad(callback){
	// 注意我的图片类名都是cover，因为我只需要处理cover。其它图片可以不管。
	// 查找所有封面图，迭代处理
	$('.c-v-pic').each(function(){
		// 找到为0就将isLoad设为false，并退出each
		if(this.height === 0){
			isLoad = false;
			return false;
		}
	});
	// 为true，没有发现为0的。加载完毕
	if(isLoad){
		clearTimeout(t_img); // 清除定时器
		// 回调函数
		callback();
		// 为false，因为找到了没有加载完成的图，将调用定时器递归
	}else{
		isLoad = true;
		t_img = setTimeout(function(){
			isImgLoad(callback); // 递归扫描
		},500); // 我这里设置的是500毫秒就扫描一次，可以自己调整
	}
}

window.onresize = function() {cvPic();};
var cShopcar=function(){
	// 元素以及其他一些变量
	var eleFlyElement = document.querySelector("#flyItem"), eleShopCart = document.querySelector("#shopCart");

	// 抛物线运动
	var myParabola = funParabola(eleFlyElement, eleShopCart, {
		speed: 400, //抛物线速度
		curvature: 0.0008, //控制抛物线弧度
		complete: function() {
			eleFlyElement.style.visibility = "hidden";
			eleShopCart.querySelector("tt").innerHTML = ++numberItem;
		}
	});
	// 绑定点击事件
	if (eleFlyElement && eleShopCart) {

		[].slice.call(document.getElementsByClassName("btnCart")).forEach(function(event) {
			//button.addEventListener("click", function(event) {
			//button.click(function(event) {
			//var src = $(this).parent().parent().parent().parent().siblings(".c-v-pic-wrap").find('.p-h-video-box').find("img").attr("src");
			var src = $("#aCoursesList").find("article.c-v-pic-wrap").find('.p-h-video-box').find("img").attr("src");
			$("#flyItem").find("img").attr("src", src);
			// 滚动大小
			var scrollLeft = document.documentElement.scrollLeft || document.body.scrollLeft || 0,
				scrollTop = document.documentElement.scrollTop || document.body.scrollTop || 0;
			eleFlyElement.style.left = event.clientX + scrollLeft + "px";
			eleFlyElement.style.top = event.clientY + scrollTop + "px";
			eleFlyElement.style.visibility = "visible";

			// 需要重定位
			myParabola.position().move();
			//});
		});
	}
};
/**
 * 显示分享组件
 */
function shareShow() {
	$(".kcShare").hover(function() {
		$(this).stop().animate({"width" : "190px"}, 200);
		$(this).children("#bdshare").stop().animate({"right" : "0"}, 200);
	}, function() {
		$(this).stop().animate({"width" : "50px"}, 200);
		$(this).children("#bdshare").stop().animate({"right" : "-160px"}, 200);
	});
}

//视频试听播放方法
function vedioClick(freeVideoId,kpointListIsNull){
	 if(kpointListIsNull=="true"){
		dialog('提示',"该课程还没有课程节点!",1);
	}else{
		if(freeVideoId!=""&&freeVideoId!=0&&freeVideoId!=null)
		{
			// 播放视频
			getPlayerHtml(freeVideoId,1,"");
		}else{
			dialog('提示',"该课程暂不支持试听!",1);
		}
	}
}


/*课程简介、列表、评论点击切换显示对应内容*/
function selectCourseInfo(infoId) {
	$("#courseContext,#courseList,#courseComment,#courseZiliao,#courseExam,#liveList,#liveComment,#liveContext,#liveZiliao,#liveExam").hide();
	$("#"+infoId).show();
    /*记下父级div高度*/
	if (checkIsMobile()==false){
        var packgeHeight =0;
        if ($(".coursePackge").size()>0){
            packgeHeight = $(".coursePackge").height()+30+25;
        }
        var originalHeight = $(".c-infor-box").height()-20-packgeHeight;
        var height = $(".cou-in-boc").height();
        /*如果小于要切换出的模块高度 将他的高度设置为auto */
        if (height<$("#"+infoId).height()){
            $(".cou-in-boc").height("auto");
        /*如果不小于要切换出的模块高度 则将高度设置为原高度 */
        }else if ($("#"+infoId).height()<height){
            $(".cou-in-boc").height(originalHeight)
        }
	}
}
/*限时抢购倒计时*/
  function countTime() {  
      var date = new Date(); 
      var now = date.getTime(); 
      var getEndDate=document.getElementById("endtime").value;
      var getEndDateS= Date.parse(getEndDate.toString().replace(/-/g,"/"));
      var endDate= new Date(getEndDateS); 
      var end = endDate.getTime();  
      var leftTime = end-now;  
      var d,h,m,s;  
      if (leftTime>=0) {  
          d = Math.floor(leftTime/1000/60/60/24);  
          h = Math.floor(leftTime/1000/60/60%24);  
          m = Math.floor(leftTime/1000/60%60);  
          s = Math.floor(leftTime/1000%60);                     
        }  
      document.getElementById("_d").innerHTML = d+"天";  
      document.getElementById("_h").innerHTML = h+"时";  
      document.getElementById("_m").innerHTML = m+"分";  
      document.getElementById("_s").innerHTML = s+"秒";  
      setTimeout(countTime,1000);    
  }  
